Roll back a credit payment
Reverses the credit payment identified by `paymentGuid` and returns the drawn amount to the customer's credit account. Returns the whole updated session. Requires `Permissions.PosShoppingSession.Delete`.
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
sessionId*integerint64paymentGuid*stringguidapplication/json- response
id?|int32internalNumber?|int32items?array<>|nulla4Print?boolean|nullapprovalOfLimitIncreaseUserId?|int32branchId?|int32brokerId?|int32cancellationReasonId?|int32cardType?|int32cashOnDeliveryInternalNumber?|int32cashRoundingAmount?|decimalcnbForeignExchangeRate?|decimalcreatedAt?|date-timecreditCardWithdrawalAmount?|decimalcustomerCardId?|int32customerEmail?|length <= 80customerId?|int32dateOfCreation?|date-timedateOfTaxableEvent?|date-timedeliveryAddressId?|int32depositAmount?|decimaldepositReasonId?|int32discountPrice?|decimaldiscountReasonId?|int32documentType?|int32doubleSale?boolean|nulldueDate?|date-timefinancialPromotionBarcode?|length <= 50financialPromotionId?|int32flightNumber?string|nullfoodStampsWithdrawalAmount?|decimalforeignCreditCardWithdrawalAmount?|decimalforeignCurrencyChange?|decimalforeignCurrencyCode?|length <= 3foreignCurrencyExchangeRate?|decimalforeignCurrencyTotalPrice?|decimalforeignCurrencyWithdrawalAmount?|decimalforeignUnit?|decimalheaderInternalId?|int64invoiceNumber?|int32isCancellation?boolean|nullisEuRetail?boolean|nullisExported?boolean|nullisTakeAway?boolean|nulllastModify?|date-timenote?string|nullpaidAsDownPayment?|decimalpaidCashOnDelivery?|decimalpaidInAdvance?|decimalpaidInCash?|decimalpaidOnEshop?|decimalpaidWithAnonCredit?|decimalpaidWithConsumerCredit?|decimalpaidWithCredit?|decimalpaidWithCreditCard?|decimalpaidWithFoodStamps?|decimalpaidWithForeignCreditCard?|decimalpaidWithForeignCurrency?|decimalpaidWithVouchers?|decimalpayments?posId?integerint32specialFinancialPromotionBarcode?|length <= 50specialFinancialPromotionId?|int32toReturn?|decimaltotalNumberOfItems?|int32totalPrice?|decimaltotalStockPriceWoVat?|decimaluserId?|int32vatAmountBasicRate?|decimalvatAmountReducedRate?|decimalvatAmountSuperReducedRate?|decimalvatBasisBasicRate?|decimalvatBasisBazaar?|decimalvatBasisExempt?|decimalvatBasisReducedRate?|decimalvatBasisSuperReducedRate?|decimalvouchersWithdrawalAmount?|decimalwithdrawalAmount?|decimalwithdrawalAmountDifference?|decimalwithdrawalReasonId?|int32curl -X DELETE 'https://<your-instance>/api/documents/pos/shopping-session/0/payments/credits/string' \ -H 'Authorization: Bearer <access-token>'{ "id": 0, "internalNumber": 0, "items": [ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentProducts": [ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentOnItemId": 0, "type": "ReturnablePackaging" } ] } ], "a4Print": true, "approvalOfLimitIncreaseUserId": 0, "branchId": 0, "brokerId": 0, "cancellationReasonId": 0, "cardType": 0, "cashOnDeliveryInternalNumber": 0, "cashRoundingAmount": 0, "cnbForeignExchangeRate": 0, "createdAt": "2019-08-24T14:15:22Z", "creditCardWithdrawalAmount": 0, "customerCardId": 0, "customerEmail": "string", "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "dateOfTaxableEvent": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "depositAmount": 0, "depositReasonId": 0, "discountPrice": 0, "discountReasonId": 0, "documentType": 0, "doubleSale": true, "dueDate": "2019-08-24T14:15:22Z", "financialPromotionBarcode": "string", "financialPromotionId": 0, "flightNumber": "string", "foodStampsWithdrawalAmount": 0, "foreignCreditCardWithdrawalAmount": 0, "foreignCurrencyChange": 0, "foreignCurrencyCode": "str", "foreignCurrencyExchangeRate": 0, "foreignCurrencyTotalPrice": 0, "foreignCurrencyWithdrawalAmount": 0, "foreignUnit": 0, "headerInternalId": 0, "invoiceNumber": 0, "isCancellation": true, "isEuRetail": true, "isExported": true, "isTakeAway": true, "lastModify": "2019-08-24T14:15:22Z", "note": "string", "paidAsDownPayment": 0, "paidCashOnDelivery": 0, "paidInAdvance": 0, "paidInCash": 0, "paidOnEshop": 0, "paidWithAnonCredit": 0, "paidWithConsumerCredit": 0, "paidWithCredit": 0, "paidWithCreditCard": 0, "paidWithFoodStamps": 0, "paidWithForeignCreditCard": 0, "paidWithForeignCurrency": 0, "paidWithVouchers": 0, "payments": { "creditCardPayments": [ { "amount": 0, "cardNumber": "string", "cardType": 0, "cnbForeignExchangeRate": 0, "currency": "string", "currencyId": 0, "foreignExchangeRate": 0, "guid": "string", "headerInternalId": 0, "posId": 0, "transactionId": "string" } ], "creditPayments": [ { "amount": 0, "barcode": "string", "dateOfPayment": "2019-08-24T14:15:22Z", "guid": "string", "headerInternalId": 0, "posId": 0, "userId": 0 } ], "foreignCurrencyPayments": [ { "amount": 0, "cnbForeignExchangeRate": 0, "currency": "string", "currencyId": 0, "foreignExchangeRate": 0, "guid": "string", "headerInternalId": 0, "posId": 0 } ] }, "posId": 0, "specialFinancialPromotionBarcode": "string", "specialFinancialPromotionId": 0, "toReturn": 0, "totalNumberOfItems": 0, "totalPrice": 0, "totalStockPriceWoVat": 0, "userId": 0, "vatAmountBasicRate": 0, "vatAmountReducedRate": 0, "vatAmountSuperReducedRate": 0, "vatBasisBasicRate": 0, "vatBasisBazaar": 0, "vatBasisExempt": 0, "vatBasisReducedRate": 0, "vatBasisSuperReducedRate": 0, "vouchersWithdrawalAmount": 0, "withdrawalAmount": 0, "withdrawalAmountDifference": 0, "withdrawalReasonId": 0}Add a credit payment POST
Draws the requested amount from the customer's credit account and records it as a payment on the session. Returns the whole updated session. Reverse it with `DELETE {sessionId}/payments/credits/{paymentGuid}`. Requires `Permissions.PosShoppingSession.Create`.
Add a foreign-currency payment POST
Records a payment made in a foreign currency, converted with that currency's configured rate. Returns the whole updated session. Reverse it with `DELETE {sessionId}/payments/foreign-currencies/{paymentGuid}`. Requires `Permissions.PosShoppingSession.Create`.